<ng-container *transloco="let t; prefix: 'administration'">
  <app-filters-list id="requestListFilters"></app-filters-list>
  <table id="requestListTable" mat-table [dataSource]="onboardingData() || []" matSort (matSortChange)="onSortChange($event)">
    <!-- status -->
    <ng-container matColumnDef="status">
      <th mat-header-cell *matHeaderCellDef class="text-uppercase"> {{ t('status') }}</th>
      <td mat-cell *matCellDef="let element">
        <span [ngClass]="{
        'bg-danger': element.status.value === 'REJECTED',
        'bg-success': element.status.value === 'APPROVED',
        'bg-primary': element.status.value === 'IN_PROGRESS',
         'bg-info': element.status.value === 'IN_REVIEW'}"
          class="badge">{{ element.status.label }}</span>
      </td>
    </ng-container>

    <!-- email -->
    <ng-container matColumnDef="email">
      <th mat-header-cell *matHeaderCellDef class="text-uppercase"> {{ t('email') }}</th>
      <td mat-cell *matCellDef="let element"> {{ element.applicant.email }}</td>
    </ng-container>


    <!-- Participant Type -->
    <ng-container matColumnDef="participant">
      <th mat-header-cell *matHeaderCellDef class="text-uppercase"> {{ t('participant') }}</th>
      <td mat-cell *matCellDef="let element">
        <span class="badge bg-primary p-2">{{ element.participantType.label }} </span>
      </td>
    </ng-container>

    <!-- date-->
    <ng-container matColumnDef="creationTimestamp">
      <th mat-header-cell *matHeaderCellDef class="text-uppercase" mat-sort-header
        sortActionDescription="Sort by number"> {{ t('date') }}
      </th>
      <td mat-cell *matCellDef="let element"> {{ element.creationTimestamp | date }}</td>
    </ng-container>

    <!-- date-->
    <ng-container matColumnDef="updateTimestamp">
      <th mat-header-cell *matHeaderCellDef class="text-uppercase" mat-sort-header
        sortActionDescription="Sort by number"> {{ t('lastDate') }}
      </th>
      <td mat-cell *matCellDef="let element"> {{ element.updateTimestamp ? (element.updateTimestamp | date) : '---' }}
      </td>
    </ng-container>


    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr class="cursor-pointer" mat-row *matRowDef="let element; columns: displayedColumns;"
      [routerLink]="['/administration', element.applicant.email]">
    </tr>
  </table>

  @if (loading()) {
  <div class="w-full d-flex items-center justify-content-center py-5">
    <lib-loader [size]=80></lib-loader>
  </div>
  }

  @if (!onboardingData() || (onboardingData()?.length === 0 && !loading())) {
  <div class="p-5 text-center"> {{ t('empty') }}</div>
  }

  <mat-paginator [length]="totalElements()" [pageSize]="pageSize()" [pageSizeOptions]="[5, 10, 25, 100]"
    [pageIndex]="currentPage()" (page)="onPageChange($event)"></mat-paginator>


</ng-container>
